/**
 * Info Page
 * Belongs to LocalCDN (since 2020-02-26)
 *
 * @author      nobody
 * @since       2022-12-28
 *
 * @license     MPL 2.0
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 */

'use strict';


/**
 * Help
 */

var info = {};


/**
 * Private Methods
 */

info._onDocumentLoaded = function () {
    let language = navigator.language;

    info._languageSupported = helpers.languageIsFullySupported(language);
    info._scriptDirection = helpers.determineScriptDirection(language);

    if (!helpers.insertI18nContentIntoDocument(document)) {
        document.getElementById('notice-locale').style.display = 'block';
    }
};


/**
 * Initializations
 */

document.addEventListener('DOMContentLoaded', info._onDocumentLoaded);
